Skip to main content
GET
/
v1
/
key-ratios
Key Ratios
curl --request GET \
  --url https://api.chicago.global/v1/key-ratios \
  --header 'Authorization: Bearer <token>'
[
  {
    "ric": "<string>",
    "perenddt": "2023-12-25",
    "year": 123,
    "gross_margin": 123,
    "ebitda_margin": 123,
    "operating_margin": 123,
    "net_margin": 123,
    "return_on_equity": 123,
    "return_on_assets": 123,
    "return_on_invested_capital": 123,
    "pe": 123,
    "price_book_value": 123,
    "price_sales": 123,
    "enterprise_value_ebit": 123,
    "fcf_yield": 123,
    "dividend_yield": 123,
    "current_ratio": 123,
    "quick_ratio": 123,
    "debt_equity": 123,
    "net_debt_to_ebitda": 123
  }
]
Retrieve key financial ratios for a given stock symbol. Returns profitability, liquidity, leverage, and efficiency ratios sourced from LSEG Datastream.

Query Parameters

ParameterTypeRequiredDefaultDescription
symbolstringYesStock symbol (e.g., AAPL.O, 0700.HK). Ticker shorthand like AAPL is also accepted and will be resolved automatically.
limitintegerNo4Number of periods to return
freqintegerNo11 for Annual, 2 for Quarterly

Response

Returns an array of period objects with key financial ratios:
[
  {
    "ric": "AAPL.O",
    "rkdcode": 319,
    "perenddt": "2025-09-27",
    "stmtdt": "2025-09-27",
    "sourcedt": "2025-10-31",
    "year": 2025,
    "gross_margin": 46.91,
    "ebitda_margin": 34.78,
    "operating_margin": 31.97,
    "pretax_margin": 31.89,
    "effective_tax_rate": 15.98,
    "net_margin": 26.8,
    "return_on_equity": 170.68,
    "return_on_assets": 31.18,
    "return_on_invested_capital": 58.36,
    "fcf_yield": 2.61,
    "dividend_yield": 0.41,
    "pe": 34.22,
    "price_book_value": 51.42,
    "price_cash_flow": 34.01,
    "price_sales": 9.11,
    "enterprise_value_revenue": 9.22,
    "enterprise_value_ebit": 28.83,
    "quick_ratio": 0.86,
    "current_ratio": 0.89,
    "ebitda_interest_expense": null,
    "times_interest_earned": null,
    "total_debt_ebitda": 0.69,
    "assets_equity": 4.87,
    "debt_equity": 1.35,
    "lt_debt_to_total_capital": 0.4551,
    "total_debt_enterprise_value": 0.026,
    "net_debt_to_ebitda": 0.31,
    "cash_cycle_days": -42.9
  }
]
Margin and return ratios are expressed as percentages. Valuation multiples (P/E, P/B, etc.) are expressed as ratios. Fields with null values are not applicable for the given company.

Key Fields

FieldDescription
Profitability
gross_marginGross profit as % of revenue
ebitda_marginEBITDA as % of revenue
operating_marginOperating income as % of revenue
net_marginNet income as % of revenue
return_on_equityNet income as % of shareholders’ equity
return_on_assetsNet income as % of total assets
return_on_invested_capitalROIC
Valuation
pePrice-to-earnings ratio
price_book_valuePrice-to-book ratio
price_salesPrice-to-sales ratio
enterprise_value_ebitEV/EBIT
fcf_yieldFree cash flow yield (%)
dividend_yieldDividend yield (%)
Liquidity & Leverage
current_ratioCurrent assets / current liabilities
quick_ratioQuick assets / current liabilities
debt_equityTotal debt / shareholders’ equity
net_debt_to_ebitdaNet debt / EBITDA

Example

curl "https://api.chicago.global/v1/key-ratios?symbol=AAPL.O&limit=4&freq=1" \
  -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
  'https://api.chicago.global/v1/key-ratios?symbol=AAPL.O&limit=4&freq=1',
  { headers: { 'Authorization': `Bearer ${API_KEY}` } }
);

const periods = await response.json();
console.log(`ROE: ${periods[0].return_on_equity}%`);
console.log(`Net Margin: ${periods[0].net_profit_margin}%`);

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

symbol
string
required

Stock symbol (e.g., AAPL.O, 0700.HK). Ticker shorthand like AAPL is also accepted.

limit
integer
default:4

Number of periods to return

freq
enum<integer>
default:1

1 for Annual, 2 for Quarterly

Available options:
1,
2

Response

Key ratios retrieved successfully

ric
string

Reuters Instrument Code

perenddt
string<date>

Period end date

year
integer

Fiscal year

gross_margin
number | null

Gross profit as % of revenue

ebitda_margin
number | null

EBITDA as % of revenue

operating_margin
number | null

Operating income as % of revenue

net_margin
number | null

Net income as % of revenue

return_on_equity
number | null

ROE (%)

return_on_assets
number | null

ROA (%)

return_on_invested_capital
number | null

ROIC (%)

pe
number | null

Price-to-earnings ratio

price_book_value
number | null

Price-to-book ratio

price_sales
number | null

Price-to-sales ratio

enterprise_value_ebit
number | null

EV/EBIT

fcf_yield
number | null

Free cash flow yield (%)

dividend_yield
number | null

Dividend yield (%)

current_ratio
number | null

Current assets / current liabilities

quick_ratio
number | null

Quick assets / current liabilities

debt_equity
number | null

Total debt / shareholders' equity

net_debt_to_ebitda
number | null

Net debt / EBITDA